scala.collection.immutable.RedBlack
class NonEmpty

[source: `scala/collection/immutable/RedBlack.scala`]

@serializable
`abstract` `class` NonEmpty[+B]
  `extends` Tree[B]

Direct Known Subclasses:
  RedBlack.RedTree, RedBlack.BlackTree

Method Summary
`def` | count : Int
`def` | del (k : A) : Tree[B]
`def` | elements : ImmutableIterator[(A, B)]
`def` | elementsSlow : Iterator[(A, B)]
`def` | first : A
`def` | isEmpty : Boolean
`abstract def` | key : A
`def` | last : A
`abstract def` | left : Tree[B]
`def` | lookup (k : A) : Tree[B]
`override def` | range (from : Option[A], until : Option[A]) : Tree[B]
`abstract def` | right : Tree[B]
`def` | smallest : NonEmpty[B]
`def` | upd [B1 >: B](k : A, v : B1) : Tree[B1]
`abstract def` | value : B
`def` | visit [T](input : T)(f : (T, A, B) => (Boolean, T)) : (Boolean, T)

Methods inherited from Tree
isBlack (abstract), update, delete

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` isEmpty : Boolean

Overrides
  Tree.isEmpty

`abstract` `def` key : A

`abstract` `def` value : B

`abstract` `def` left : Tree[B]

`abstract` `def` right : Tree[B]

`` `def` lookup(k : A) : Tree[B]

Overrides
  Tree.lookup

`` `def` upd[B1 >: B](k : A, v : B1) : Tree[B1]

Overrides
  Tree.upd

`` `def` del(k : A) : Tree[B]

Overrides
  Tree.del

`` `def` smallest : NonEmpty[B]

Overrides
  Tree.smallest

`` `def` elements : ImmutableIterator[(A, B)]

Overrides
  Tree.elements

`` `def` elementsSlow : Iterator[(A, B)]

Overrides
  Tree.elementsSlow

`` `def` visit[T](input : T)(f : (T, A, B) => (Boolean, T)) : (Boolean, T)

Overrides
  Tree.visit

`override` `def` range(from : Option[A], until : Option[A]) : Tree[B]

Overrides
  Tree.range

`` `def` first : A

Overrides
  Tree.first

`` `def` last : A

Overrides
  Tree.last

`` `def` count : Int

Overrides
  Tree.count